%%%%%%%%%%%%%%%%%%%%%% p2_6.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%              last revision: 5/25/99 HS
%----------------------------------------------------
%            Problem 2.6: 4th order system
%       find zeros, poles, gain of a tf model,
%        and perform PFE and impulse response
%----------------------------------------------------
clear, clf
disp('Problem 2.6: Fourth-order system')
numG = [3 4 5]
denG = [2 7 11 12 4]
G = tf(numG,denG)
disp('*****>');pause
GG = zpk(G)
disp('*****>');pause
[zG,pG,kG] = zpkdata(G,'v')
disp('*****>');pause
[resG,polG,otherG] = residue(numG,denG)
disp('*****>');pause
impulse(numG,denG)
grid;title('P2.6: Impulse Response from G(s)')
disp('End of Reinforcement Problem 2.6')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%