%%%%%%%%%%%%%%%%%%%%%% p3_6.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%       Problem 3.6: Common zero & pole in RHP
%----------------------------------------------------
clear, clf
disp(' Problem 3.6: Common zero & pole in RHP')
numG1 = [1 2.5 1.5]
denG1 = [1 3.1  -3.9  -12.6]
G1 = tf(numG1,denG1)
numG2 = [1 -2]
denG2 = [1 2 5]
G2 = tf(numG2,denG2)
disp('*******>');pause
G12 = G1*G2
disp('*******>');pause
%------- find zeros, poles, & gain of combined system
[zG12,pG12,kG12] = zpkdata(G12,'v')
disp('Zero & pole at s = +2.0 cancel one another')
disp('but system is still unstable')
disp('*******>');pause
step(G12,20)
grid;title('P3.6: Step Response')
disp('End of Reinforcement Problem 3.6')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%