%%%%%%%%%%%% fig2_5.m %%%%%%%%% 
%  	Dec 98
% last revision: 12/28/1998, JHC
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
  G = tf([3 2],[2 4 5 1])
  time = [0:0.02:10]';
  u = 2.0*(1+0*(time)); % vector of 2's with length of "time"
  for ii=min(find(time>=2.0)):length(u), u(ii) = 0.5;end
  y = lsim(G,u,time);
  plot(time,y,time,u);grid
  %title('fig 2.5: zero-state response to pulse input for Ex 2.7')
  xlabel('Time (secs)');ylabel('Amplitude')
  text(3.5,1.7,'output')
  text(4.0,0.58,'input')
  print -deps fig2_5.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%