%%%%%%%%%%%%%%%%%%%%%% p2_11.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%----------------------------------------------------
%     Problem 2.11: given G(s), find step response
%         Use initial & final value theorems
%----------------------------------------------------
clear, clf
disp('Problem 2.11: Step response')
numG = [2 11 5]
denG = [1 7 32 60]
disp('*****>');pause
%---- add pole at s=0 to G(s) 
numstep = numG
denstep = [denG 0]
Gstep = tf(numstep, denstep)
T = [0:0.01:4]';
impulse(Gstep,T)
grid; title('P2.11: Step Response by adding pole to G(s)')
keyboard
%--- get step response via step cmd
G = tf(numG,denG)
step(G,4)
grid;title('P2.11: Step Response via step command')
keyboard
DC_gain = dcgain(G)
disp('end of Reinforcement Problem 2.11')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
