%%%%%%%%%%%%%%%%%%%%%% p2_5.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%              last revision: 5/23/99 HS
%----------------------------------------------------
%        Problem 2.5: 3rd order system
%    find zeros, poles, gain of a tf model,
%     and perform PFE and impulse response
%----------------------------------------------------
clear, clf
disp('Problem 2.5: Third-order system')
numG = [2 11 5]
denG = [1 7 32 60]
G = tf(numG,denG)
disp('*****>');pause
GG = zpk(G)
disp('*****>');pause
[zG,pG,kG] = zpkdata(G,'v')
disp('*****>');pause
[resG,polG,otherG] = residue(numG,denG)
disp('*****>');pause
impulse(numG,denG)
grid; title('P2.5: Impulse Response from G(s)')
y = impulse(numG,denG);
[ymin,imin] = min(y)
disp('End of Reinforcement Problem 2.5')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%