%%%%%%%%%%%%%%%%%%%%% wif2_6.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%     What If for Example 2.6: does ramp response 
%          of system in Example 2.6 
%---------------------------------------------------- 
clear,clf
disp('Get ramp response by adding 2 poles at s=0 to G(s)')
disp('Create numerator and denominator of G(s)')
numG = [3 2]
denG = [2 4 5 1]
disp('*****>');pause
disp('adding 2 poles at s=0 to G(s)')
numramp = numG
denramp = [denG  0 0]
disp('*****>');pause
disp('Create G(s)/s^2 as TF object')
Gramp = tf(numramp,denramp)
disp('*****>');pause
impulse(Gramp); grid
title('WIF2.6: Ramp Response for G(s) of Ex 2.3')
disp('End of What If 2.6')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%