%%%%%%%%%%%%%%%%%%%%% wif3_2.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%	        What If for Example 3.2:
%      Parallel connection with subtraction
%----------------------------------------------------
clear,clf
  disp('What If? 3.2: ')
  disp('-----------------')
  disp('Parallel connection of H2(s) - H1(s)')
  disp('then find the zeros, poles, gain of T(s)')
  disp('finally, plot step response')
  disp('-----------------')
disp('>>> numerator, denominator, and poles of H1(s)')
numH1 = [2 6]
denH1 = [1 1 8]
pH1 = pole(H1)     % poles of H1
disp('*******>');pause
disp('>>> numerator, denominator, and poles of H2(s)')
numH2 = [1 4]
denH2 = conv([1 1],[1 4 1])
pH2 = pole(H2)     % poles of H2
disp('*******>');pause
disp('>>> numerator and denominator of H2 - H1')
T = H2 - H1
disp('*******>');pause
disp('>>> zeros, poles, and gain of H2 - H1 ')
[zT,pT,kT] = zpkdata(T,'v')
disp('*******>');pause
disp('>>> compute and plot step reponse of H2 - H1')
step(T)
grid;title('WIF3.2: Step Response of H2 - H1')
disp('End of What If 3.2')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
